> ## Documentation Index
> Fetch the complete documentation index at: https://docs.startleftsecurity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1scannerupload multiple files



## OpenAPI

````yaml swagger.json post /v1/scanner/upload-multiple-files
openapi: 3.0.1
info:
  title: StartLeftSecurity.Public.API
  version: '1.0'
servers: []
security: []
paths:
  /v1/scanner/upload-multiple-files:
    post:
      tags:
        - ScannerAction
      requestBody:
        content:
          multipart/form-data:
            schema:
              required:
                - DependenciesCDX
                - ScanKey
                - VulnerabilitiesSnyk
              type: object
              properties:
                DependenciesCDX:
                  type: string
                  format: binary
                VulnerabilitiesSnyk:
                  type: string
                  format: binary
                ScanKey:
                  type: string
                  format: uuid
            encoding:
              DependenciesCDX:
                style: form
              VulnerabilitiesSnyk:
                style: form
              ScanKey:
                style: form
      responses:
        '200':
          description: OK
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}

````